Skip to main content
PATCH
Update a webhook

Authorizations

Authorization
string
header
required

Use the Authorization header with Bearer scheme.

Examples:

  • API Key: Authorization: Bearer calid_xxxxx

Path Parameters

id
string
required

Webhook identifier.

Minimum string length: 1
Example:

"2f33b5cd-8ec7-4eb0-91fd-9488c30f4744"

Body

application/json
payloadTemplate
string | null

Optional custom payload template delivered to the subscriber.

Example:

"{\"event\":\"BOOKING_CREATED\",\"bookingId\":\"bk_123\"}"

eventTriggers
enum<string>[]

Webhook events that should trigger delivery.

Available options:
BOOKING_CREATED,
BOOKING_PAYMENT_INITIATED,
BOOKING_PAID,
BOOKING_RESCHEDULED,
BOOKING_REQUESTED,
BOOKING_CANCELLED,
BOOKING_REJECTED,
BOOKING_NO_SHOW_UPDATED,
FORM_SUBMITTED,
OOO_CREATED
Example:
subscriberUrl
string

Destination URL that receives webhook requests.

Example:

"https://example.com/webhooks/calid"

active
boolean

Whether this webhook is currently enabled.

Example:

true

secret
string | null

Optional shared secret used to sign webhook payloads.

Example:

"whsec_1234567890"

Response

Webhook updated

Webhook updated

success
enum<boolean>
required
Available options:
true
data
object
message
string
meta
object